Loading...
Searching...
No Matches
ConnectionProvider::ConnectionSchemeInfo Struct Reference

Connection provider information. More...

`#include <ConnectionSchemeCache.qc.dox.h>`

## Public Attributes

bool | auto_url = False
| URL provided automatically?
hash< string, string > | base_scheme_map
| Base URL scheme map; base scheme -> connection scheme.
Class | cls
| The connection class.
string | desc
| Connection type / scheme description with markdown formatting.
string | display_name
| Connection type / scheme display name.
*hash< string, hash< ConnectionOptionInfo > > | options
| Connection options: name -> option info.
*string | required_options
| Required option string.
hash< string, bool > | schemes
| Connection scheme set; scheme -> True.
*hash< string, bool > | sensitive_options
| Set of sensitive options: name -> True.
string | short_desc
| Connection type / scheme short description in plain text.

## Detailed Description

Connection provider information.

## Member Data Documentation

## required_options

*string ConnectionProvider::ConnectionSchemeInfo::required_options

Required option string.

format is required option names separated by commas (`","`); if there are multiple possibilities, they should be separated by pipe chars (`"|""`); ex: client_id,client_secret,tenant|token

All strings must be valid option names in options

## schemes

hash<string, bool> ConnectionProvider::ConnectionSchemeInfo::schemes

Connection scheme set; scheme -> True.

The first scheme is the "default" scheme for display